跳至內容
ShopentlyLearn

更新訂單

在一次 API 請求中變更訂單狀態、付款狀態,或同時變更兩者。

PATCH/api/v1/orders/{order_id}

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/orders/order-0000 \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-order-update' \
  --header 'Content-Type: application/json' \
  --data-raw '{"payment":{"expected_version":0,"status":"paid"},"status":{"expected_version":1,"status_id":"status-1"}}'

回應

{
  "data": {
    "deleted": false,
    "id": "order-0000",
    "version": null,
    "versions": {
      "payment": 2,
      "status": 2
    }
  },
  "meta": {
    "request_id": "example"
  }
}

所需權限

身份驗證
存取權杖
最低方案
BASIC
金鑰權限
更改訂單狀態orders.order:change_status調整付款狀態payments.payment:adjust_status